-- BEGIN SCRIPT --
CREATE UNIQUE INDEX AUDIT_TRANS_OVERCON_DETAIL_PK ON AUDIT_TRANS_OVERCON_DETAIL
(AUDIT_TRANS_OVERCON_DETAIL_ID);

CREATE UNIQUE INDEX AUDIT_TRANS_OVERCON_HEADER_PK ON AUDIT_TRANS_OVERCON_HEADER
(AUDIT_TRANS_OVERCON_HEADER_ID);

CREATE UNIQUE INDEX AUDIT_TRANS_OVERCON_LOT_PK ON AUDIT_TRANS_OVERCON_LOT
(AUDIT_TRANS_OVERCON_LOT_ID);

CREATE UNIQUE INDEX AUDIT_TRANS_OVERCON_PAYMENT_PK ON AUDIT_TRANS_OVERCON_PAYMENT
(AUDIT_TRANS_OVERCON_PAYMENT_ID);

CREATE UNIQUE INDEX AUDIT_TRANS_PAYMENT_PK ON AUDIT_TRANS_PAYMENT
(AUDIT_TRANS_PAYMENT_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX1;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX1 ON EMPYEE_TRANS_ALLOT_1
(NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX2;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX2 ON EMPYEE_TRANS_ALLOT_1
(JOB_ALL_ID, NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID, EMPYEE_STATUS);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX3;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX3 ON EMPYEE_TRANS_ALLOT_1
(NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID, EMPYEE_STATUS);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX4;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX4 ON EMPYEE_TRANS_ALLOT_1
(NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID, JOB_ALL_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX5;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX5 ON EMPYEE_TRANS_ALLOT_1
(JOB_ALL_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX6;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX6 ON EMPYEE_TRANS_ALLOT_1
(NAV_DATE);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX7;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX7 ON EMPYEE_TRANS_ALLOT_1
(FUND_ID, NAV_DATE);

DROP INDEX EMPYEE_TRANS_ALLOT_PK;
CREATE UNIQUE INDEX EMPYEE_TRANS_ALLOT_PK ON EMPYEE_TRANS_ALLOT_1
(EMPYEE_ID, AMC_ID, FUND_ID, TBL_ID_MONEYTYPE, NAV_DATE, 
JOB_ALL_ID, TRAN_MAIN_ID);

CREATE UNIQUE INDEX ESTIMATE_PAY_HEADER_PK ON ESTIMATE_PAY_HEADER
(ESTIMATE_PAY_ID, FUND_ID);

CREATE UNIQUE INDEX FUND_ACCOUNT_PK ON FUND_ACCOUNT
(ACC_NO, FUND_ID, ACC_WORK);

CREATE UNIQUE INDEX FUND_PAYMENT_APPROVE_LOT_PK ON FUND_PAYMENT_APPROVE_LOT
(FUND_PAYMENT_APPROVE_LOT_ID);

CREATE INDEX IDXCON_EMPYEE_EMPYEE_STATUS ON CON_EMPYEE
(EMPYEE_STATUS);

CREATE INDEX IDX_CHEQUE_INFO_TRANS_CHEQUE_OVERDUE_ID ON CHEQUE_INFO
(TRANS_CHEQUE_OVERDUE_ID);

CREATE INDEX IDX_CLAIM_RECEIVE_TRAN_MAIN_ID ON CLAIM_RECEIVE
(TRAN_MAIN_ID);

CREATE INDEX IDX_CONEMPYEE_EMPYEE_TYPE ON CON_EMPYEE
(EMPYEE_TYPE);

CREATE INDEX IDX_DESC_PAY_CLAIM_ID ON DESC_PAY_CLAIM
(DESC_PAY_CLAIM_ID);

CREATE INDEX IDX_DESC_PAY_CLAIM_NAV_DATE ON DESC_PAY_CLAIM
(NAV_DATE);

CREATE INDEX IDX_DESC_PAY_CLAIM_STATUS ON DESC_PAY_CLAIM
(DESC_PAY_CLAIM_STATUS);

CREATE INDEX IDX_DETAIL_BNF_ERR_FINALAPPROVE_DETAIL_ERROR_ID ON DETAIL_BNF_ERR_FINALAPPROVE
(DETAIL_ERROR_ID);

CREATE INDEX IDX_DETAIL_BNF_ERR_FINALAPPROVE_TRANS_PAYMENT_ID ON DETAIL_BNF_ERR_FINALAPPROVE
(TRANS_PAYMENT_ID);

CREATE INDEX IDX_DETAIL_ERROR_FINAL_APPROVE_LOT_VERIFY_FINAL_APPROVE_LOT_ID ON DETAIL_ERROR_FINAL_APPROVE_LOT
(VERIFY_FINAL_APPROVE_LOT_ID);

CREATE INDEX IDX_DPC_FUND_ID ON DESC_PAY_CLAIM
(FUND_ID);

CREATE INDEX IDX_EMAIL_FUND_GROUP_EMAIL_FUND_ID ON EMAIL_FUND
(GROUP_EMAIL_FUND_ID);

CREATE INDEX IDX_EMAIL_GRP_FUND_TEMPLATE_EMAIL_TEMPLATE_ID ON EMAIL_GRP_FUND_TEMPLATE
(EMAIL_TEMPLATE_ID);

CREATE INDEX IDX_EMAIL_GRP_FUND_TEMPLATE_GROUP_EMAIL_FUND_ID ON EMAIL_GRP_FUND_TEMPLATE
(GROUP_EMAIL_FUND_ID);

CREATE INDEX IDX_EMPYEE_TAX_ALLOCATE ON EMPYEE_TAX
(IS_TAX_ALLOCATE);

CREATE INDEX IDX_ESTIMATE_PAY_HEADER_FUND_ID ON ESTIMATE_PAY_HEADER
(FUND_ID);

CREATE INDEX IDX_EST_PAY_DETAIL ON ESTIMATE_PAY_DETAIL
(ESTIMATE_PAY_ID);

CREATE INDEX IDX_FUND_PAYMENT_APPROVE_LOT_PAYMENT_LOT_ID ON FUND_PAYMENT_APPROVE_LOT
(PAYMENT_LOT_ID);

CREATE INDEX IDX_LOG_PRO_KA_GRP_EYER_ID ON LOGIN_PROFILE_KA
(GRP_EMPYER_ID);

CREATE INDEX IDX_MATCH_TRANS_DETAIL ON MATCH_TRANS_PAYMENT
(TRANS_PAYMENT_ID);

CREATE INDEX IDX_NEW_PAYMENT_REF_NEW_TRANS_PAYMENT_ID ON NEW_PAYMENT_REF
(NEW_TRANS_PAYMENT_ID);

CREATE INDEX IDX_NEW_PAYMENT_REF_OLD_TRANS_PAYMENT_ID ON NEW_PAYMENT_REF
(OLD_TRANS_PAYMENT_ID);

CREATE INDEX IDX_NEW_PAYMENT_REF_TRANS_CHG_PAYMENT_ID ON NEW_PAYMENT_REF
(TRANS_CHG_PAYMENT_ID);

CREATE INDEX IDX_TAX_ALLOCATE_EMPYEE_TAX_ID ON TAX_ALLOCATE
(EMPYEE_TAX_ID);

CREATE INDEX IDX_TAX_ALLOCATE_VERIFY_APPROVE_LOT_ID ON TAX_ALLOCATE
(VERIFY_APPROVE_LOT_ID);

CREATE INDEX IDX_TRANS_CHEQUE_OVERDUE ON TRANS_CHEQUE_OVERDUE_DETAIL
(CHQ_INFO_ID);

CREATE INDEX IDX_TRANS_FEE_FD ON TRANS_FEE_HEADER
(FUND_ID, NAV_DATE);

CREATE INDEX IDX_TRANS_FEE_HEADER ON TRANS_FEE_DETAIL
(TRANS_FEE_HEADER_ID);

CREATE INDEX IDX_TRANS_FEE_ST ON TRANS_FEE_HEADER
(TRANS_FEE_STATUS);

CREATE INDEX IDX_TRANS_PAYMENT_CHQ_INFO_ID ON TRANS_PAYMENT
(CHQ_INFO_ID);

CREATE INDEX IDX_TRANS_REIMBURSE_ACC_NO ON TRANS_REIMBURSE
(ACC_NO);

CREATE INDEX IDX_TRANS_REIMBURSE_BANK_ID ON TRANS_REIMBURSE
(BANK_ID);

CREATE INDEX IDX_TRANS_REIMBURSE_EMPYER_ID ON TRANS_REIMBURSE
(EMPYER_ID);

CREATE INDEX IDX_TRANS_REIMBURSE_STM_ID ON TRANS_REIMBURSE
(STM_ID);

CREATE INDEX IDX_TRANS_RIM_BANK ON TRANS_REIMBURSE
(BANK_ID_PAY);

CREATE INDEX IDX_TRANS_RIM_DOC ON TRANS_REIMBURSE_DOCUMENT
(TRANS_REIMBURSE_ID);

CREATE INDEX IDX_TRAN_OVC_PAY_DEL ON TRANS_OVERCON_PAYMENT
(IS_DELETED);

CREATE INDEX IDX_TRAN_OVC_PAY_LOTID ON TRANS_OVERCON_PAYMENT
(TRANS_OVERCON_LOT_ID);

CREATE INDEX IDX_VERIFY_APPROVE_LOT_FUND_PAYMENT_APPROVE_LOT_ID ON VERIFY_APPROVE_LOT
(FUND_PAYMENT_APPROVE_LOT_ID);

CREATE INDEX IDX_VERIFY_CONFLICT_ERROR_DETAIL_VERIFY_TP_HEADER_ID ON VERIFY_CONFLICT_ERROR_DETAIL
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VERIFY_FINAL_APPROVE_LOT_PAYMENT_LOT_ID ON VERIFY_FINAL_APPROVE_LOT
(PAYMENT_LOT_ID);

CREATE INDEX IDX_VERIFY_FINAL_APPROVE_LOT_VERIFY_TP_HEADER_ID ON VERIFY_FINAL_APPROVE_LOT
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VERIFY_TAX_FILETAX_FOR_VERIFY_ID ON VERIFY_TAX
(FILETAX_FOR_VERIFY_ID);

CREATE INDEX IDX_VER_ESTIMATE_PAY ON VERIFY_TP_HEADER
(ESTIMATE_PAY_ID);

CREATE INDEX IDX_VER_EST_PAY ON VERIFY_ESTIMATE_PAY_DETAIL
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VER_RE_TRANS_TAX ON VERIFY_RECAL_TRANS_TAX_ERROR
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VER_TAX_HEADER ON VERIFY_TAX
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VER_TP_DETAIL ON VERIFY_TP_DETAIL
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VER_TRANS_TAX ON VERIFY_TAX_RECAL_ERROR
(VERIFY_TP_HEADER_ID);

CREATE INDEX IDX_VER_UNVEST_DETAIL ON VERIFY_UNVESTED_DETAIL
(VERIFY_TP_HEADER_ID);

CREATE UNIQUE INDEX MATCH_TRANS_PAYMENT_PK ON MATCH_TRANS_PAYMENT
(MATCH_TRANS_ID);

CREATE UNIQUE INDEX PAYMENT_APPROVE_LOT_PK ON PAYMENT_APPROVE_LOT
(PAYMENT_LOT_ID);

CREATE UNIQUE INDEX PK_AUDIT_TRANS_REIMBURSE_AUDIT_TRANS_REIMBURSE_ID ON AUDIT_TRANS_REIMBURSE
(AUDIT_TRANS_REIMBURSE_ID);

CREATE UNIQUE INDEX PK_CHEQUE_INFO_CHQ_INFO_ID ON CHEQUE_INFO
(CHQ_INFO_ID);

CREATE UNIQUE INDEX PK_DETAIL_BNF_ERR_FINALAPPROVE_DETAIL_BNF_ERR_FINAL_ID ON DETAIL_BNF_ERR_FINALAPPROVE
(DETAIL_BNF_ERR_FINAL_ID);

CREATE UNIQUE INDEX PK_DETAIL_ERROR_FINAL_APPROVE_LOT_DETAIL_ERROR_ID ON DETAIL_ERROR_FINAL_APPROVE_LOT
(DETAIL_ERROR_ID);

CREATE UNIQUE INDEX PK_EMAIL_FUND_EMAIL_FUND_ID ON EMAIL_FUND
(EMAIL_FUND_ID);

CREATE UNIQUE INDEX PK_EMAIL_GRP_FUND_TEMPLATE_EMAIL_GRP_FUND_TEMPLATE_ID ON EMAIL_GRP_FUND_TEMPLATE
(EMAIL_GRP_FUND_TEMPLATE_ID);

CREATE UNIQUE INDEX PK_EMAIL_LIST_EMAIL_ID ON EMAIL_LIST
(EMAIL_ID);

CREATE UNIQUE INDEX PK_EMAIL_TEMPLATE_EMAIL_TEMPLATE_ID ON EMAIL_TEMPLATE
(EMAIL_TEMPLATE_ID);

CREATE UNIQUE INDEX PK_ESTIMATE_PAY_DETAIL_ESTIMATE_PAY_ID ON ESTIMATE_PAY_DETAIL
(ESTIMATE_PAY_DETAIL_ID);

CREATE UNIQUE INDEX PK_FILETAX_FOR_VERIFY_FILETAX_FOR_VERIFY_ID ON FILETAX_FOR_VERIFY
(FILETAX_FOR_VERIFY_ID);

CREATE UNIQUE INDEX PK_GROUP_EMAIL_FUND_GROUP_EMAIL_FUND_ID ON GROUP_EMAIL_FUND
(GROUP_EMAIL_FUND_ID);

CREATE UNIQUE INDEX PK_NEW_PAYMENT_REF ON NEW_PAYMENT_REF
(OLD_TRANS_PAYMENT_ID, NEW_TRANS_PAYMENT_ID);

CREATE UNIQUE INDEX PK_TAX_ALLOCATE_TAX_ALLOCATE_ID ON TAX_ALLOCATE
(TAX_ALLOCATE_ID);

CREATE UNIQUE INDEX PK_TRANS_CHEQUE_OVERDUE_DETAIL_TRANS_CHEQUE_OVERDUE_ID ON TRANS_CHEQUE_OVERDUE_DETAIL
(TRANS_CHEQUE_OVERDUE_ID);

CREATE UNIQUE INDEX PK_TRANS_CHEQUE_OVERDUE_HEADER_TRANS_CHEQUE_OVERDUE_ID ON TRANS_CHEQUE_OVERDUE_HEADER
(TRANS_CHEQUE_OVERDUE_ID);

CREATE UNIQUE INDEX PK_TRANS_CHG_PAYMENT_MANAGEMENT_TRANS_CHG_PAYMENT_ID ON TRANS_CHG_PAYMENT_MANAGEMENT
(TRANS_CHG_PAYMENT_ID);

CREATE UNIQUE INDEX PK_TRANS_FEE_DETAIL_TRANS_FEE_DETAIL_ID ON TRANS_FEE_DETAIL
(TRANS_FEE_DETAIL_ID);

CREATE UNIQUE INDEX PK_TRANS_FEE_HEADER_TRANS_FEE_HEADER_ID ON TRANS_FEE_HEADER
(TRANS_FEE_HEADER_ID);

CREATE UNIQUE INDEX PK_TRANS_REIMBURSE_DOCUMENT_TRANS_REIMBURSE_DOCUMENT_ID ON TRANS_REIMBURSE_DOCUMENT
(TRANS_REIMBURSE_DOCUMENT_ID);

CREATE UNIQUE INDEX PK_TRANS_REIMBURSE_TRANS_REIMBURSE_ID ON TRANS_REIMBURSE
(TRANS_REIMBURSE_ID);

CREATE UNIQUE INDEX PK_TRANS_TAX_TRANS_TAX_ID ON TRANS_TAX
(TRANS_TAX_ID);

CREATE UNIQUE INDEX PK_VERIFY_CONFLICT_ERROR_DETAIL_VERIFY_CONFLICT_ERROR_DETAIL_ID ON VERIFY_CONFLICT_ERROR_DETAIL
(VERIFY_CONFLICT_ERR_DETAIL_ID);

CREATE UNIQUE INDEX PK_VERIFY_ESTIMATE_PAY_DETAIL_VERIFY_ESTIMATE_PAY_DETAIL_ID ON VERIFY_ESTIMATE_PAY_DETAIL
(VERIFY_ESTIMATE_PAY_DETAIL_ID);

CREATE UNIQUE INDEX PK_VERIFY_FINAL_APPROVE_LOT_VERIFY_FINAL_APPROVE_LOT_ID ON VERIFY_FINAL_APPROVE_LOT
(VERIFY_FINAL_APPROVE_LOT_ID);

CREATE UNIQUE INDEX PK_VERIFY_LOT_MAP_PAYMENT_VERIFY_APPROVE_LOT_ID ON VERIFY_LOT_MAP_PAYMENT
(VERIFY_APPROVE_LOT_ID, MATCH_TRANS_ID);

CREATE UNIQUE INDEX PK_VERIFY_RECAL_TRANS_TAX_ERROR_TAX_RECALTRANSERR_ID ON VERIFY_RECAL_TRANS_TAX_ERROR
(TAX_RECALTRANSERR_ID);

CREATE UNIQUE INDEX PK_VERIFY_TAX_RECAL_ERROR_VERIFY_TAX_RECALERR_ID ON VERIFY_TAX_RECAL_ERROR
(VERIFY_TAX_RECALERR_ID);

CREATE UNIQUE INDEX PK_VERIFY_TAX_VERIFY_TAX_ID ON VERIFY_TAX
(VERIFY_TAX_ID);

CREATE UNIQUE INDEX PK_VERIFY_UNVESTED_DETAIL_VERIFY_UNVESTED_DETAIL_ID ON VERIFY_UNVESTED_DETAIL
(VERIFY_UNVESTED_DETAIL_ID);

CREATE INDEX TRANS_CH_OVERDUE_STATUS ON TRANS_CHEQUE_OVERDUE_HEADER
(ACCPAYABLE_STATUS);

CREATE UNIQUE INDEX TRANS_OVERCON_DETAIL_PK ON TRANS_OVERCON_DETAIL
(TRANS_OVERCON_HEADER_ID, TRANS_OVERCON_PAYMENT_ID);

CREATE UNIQUE INDEX TRANS_OVERCON_HEADER_PK ON TRANS_OVERCON_HEADER
(TRANS_OVERCON_HEADER_ID);

CREATE UNIQUE INDEX TRANS_OVERCON_LOT_PK ON TRANS_OVERCON_LOT
(TRANS_OVERCON_LOT_ID);

CREATE UNIQUE INDEX TRANS_OVERCON_PAYMENT_PK ON TRANS_OVERCON_PAYMENT
(TRANS_OVERCON_PAYMENT_ID);

CREATE UNIQUE INDEX TRANS_PAYMENT_DETAIL_PK ON TRANS_PAYMENT
(TRANS_PAYMENT_ID);

CREATE UNIQUE INDEX UNQ_ESTIMATE_PAY_HEADER_ESTIMATE_PAY_ID ON ESTIMATE_PAY_HEADER
(ESTIMATE_PAY_ID);

CREATE UNIQUE INDEX VERIFY_APPROVE_LOT_PK ON VERIFY_APPROVE_LOT
(VERIFY_APPROVE_LOT_ID);

CREATE UNIQUE INDEX VERIFY_FINAL_PROGRESS_PK ON VERIFY_FINAL_PROGRESS
(PAYMENT_LOT_ID);

CREATE UNIQUE INDEX VERIFY_TP_PROGRESS_PK ON VERIFY_TP_PROGRESS
(VERIFY_TP_HEADER_ID);

EXIT;